﻿using UnityEngine;
using System.Collections;

public class TorchScript : MonoBehaviour {

    Light light;
    public float minBrightness;
    public float maxBrightness;
    public float flickerSpeed;

    void Start()
    {
        light = GetComponent<Light>();
        StartCoroutine(FlickerLight(flickerSpeed));
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    IEnumerator FlickerLight(float speed)
    {
        while (gameObject.activeSelf == true)
        {
            light.intensity = Random.Range(minBrightness, maxBrightness);
            yield return new WaitForSeconds(speed);
        }
    }
}
